/*
 * Copyright (c) 2010 Ryan Flannery <ryan.flannery@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef DEBUG_H
#define DEBUG_H

/* log file for debugging */
extern FILE *debug_log;

#ifdef DEBUG

/* a debug file logger that goes to the file opened in vitunes.c */
#define DFLOG(format, args...) \
   fprintf(debug_log, "%s.%d: ", __FILE__, __LINE__); \
   fprintf(debug_log, format, ## args); \
   fprintf(debug_log, "\n"); \
   fflush(debug_log);

/* a console logger... like above, but goes to stdout.
 * doesn't work well in curses */
#define DCLOG(format, args...) \
   printf("%d: ", __LINE__); printf(format, ## args); printf("\n"); fflush(stdout);


#else

#define DFLOG(format, args...) 0;
#define DCLOG(format, args...) 0;

#endif

#endif
